Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1280485 (python-PyMVPA) - Review Request: python-PyMVPA - Multivariate pattern analysis
Summary: Review Request: python-PyMVPA - Multivariate pattern analysis
Keywords:
Status: CLOSED WONTFIX
Alias: python-PyMVPA
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1265670 python-nibabel python-pywt
Blocks: FE-DEADREVIEW fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-11-11 20:45 UTC by Igor Gnatenko
Modified: 2018-08-22 10:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 07:31:10 UTC
zbyszek: fedora-review?


Attachments (Terms of Use)

Description Igor Gnatenko 2015-11-11 20:45:12 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-PyMVPA.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-PyMVPA-2.4.0-3.fc24.src.rpm
Description:
PyMVPA is a Python package intended to ease statistical learning analyses of
large datasets. It offers an extensible framework with a high-level interface
to a broad range of algorithms for classification, regression, feature
selection, data import and export. It is designed to integrate well with
related software packages, such as scikit-learn, shogun, MDP, etc. While it is
not limited to the neuroimaging domain, it is eminently suited for such
datasets. PyMVPA is free software and requires nothing but free-software to
run.

PyMVPA stands for MultiVariate Pattern Analysis (MVPA) in Python.
Fedora Account System Username: ignatenkobrain

Comment 1 Björn 'besser82' Esser 2015-12-09 07:58:23 UTC
besser82's shogun-4.0.1-0.4.git20150913.d8eb73d.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=704166

* * *

FYI

Comment 2 Igor Gnatenko 2015-12-12 12:23:12 UTC
Can you do review because shogun fixed and other packages in place? ;)

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-12-12 16:04:14 UTC
Yes, I'll probably do a round of review work this weekend.

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-12-13 03:05:08 UTC
- name should be lowercase
- xvfb-run should be used with "-a" (automatically select free display number)
- #!/usr/bin/env /usr/bin/pythonX should be replaced with #!/usr/bin/pythonX

Now the usual question: are executables for both python versions wanted?
* pymvpa2 has support for loading python code with --preload, so yes
* pymvpa2-prep-afni-surf just calls a function to preprocess some data, so no
* pymvpa2-prep-fmri likewise no
* pymvpa2-tutorial starts an IPython interactive session, so yes

- so please package just one version for the two executables which don't need two
- Recommends is used for various python modules which are imported. This doesn't seem right, the should be Require-d, since those executables simply don't work without them.

Maybe pymvpa2-tutorial should be split out in a separate subpackage with Requires: python3-ipython.

It would be great to get the tests to pass, that's pretty much the best way to test code compatibility.

Build fails here with:
    File not found: /builddir/build/BUILDROOT/python-PyMVPA-2.4.0-3.fc24.x86_64/usr/lib64/python2.7/site-packages/pymvpa2*-egginfo

Comment 5 Zbigniew Jędrzejewski-Szmek 2017-03-05 22:32:58 UTC
?

Comment 6 Igor Gnatenko 2018-08-22 07:31:10 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.


Note You need to log in before you can comment on or make changes to this bug.